//
//  CountryViewController.m
//  CountryDB
//
//  Created by Holger Hinzberg on 10.04.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import "CountryViewController.h"


@implementation CountryViewController
@synthesize aCountry;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewWillAppear:(BOOL)animated
{
    countryNameLabel.text = aCountry.countryName;
    capitalLabel.text = aCountry.capital;
    populationLabel.text = aCountry.population;
    areaLabel.text = aCountry.area;
}

- (void)dealloc
{
    [aCountry release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    
    // Einen Titel für die Tabelle
    self.navigationItem.title = @"Länderdetails";
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
